Bug 1264714 - [abrt] gnome-shell: _gdk_x11_window_tmp_unset_bg(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: _gdk_x11_window_tmp_unset_bg(): gnome-shell killed by SIG...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8a91751e5b4adb4cb3688d20c77...
:
: 1265669 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 20:51 EDT by Paulim_hed
Modified: 2016-12-20 09:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:40:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.67 KB, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: core_backtrace (45.08 KB, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: dso_list (26.49 KB, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: environ (1.61 KB, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: exploitable (127 bytes, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: maps (106.01 KB, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: mountinfo (3.73 KB, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: open_fds (3.88 KB, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details
File: var_log_messages (313 bytes, text/plain)
2015-09-20 20:51 EDT, Paulim_hed
no flags Details

  None (edit)
Description Paulim_hed 2015-09-20 20:51:16 EDT
Version-Release number of selected component:
gnome-shell-3.17.92-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: _gdk_x11_window_tmp_unset_bg
executable:     /usr/bin/gnome-shell
global_pid:     2185
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gdk_x11_window_tmp_unset_bg at gdkwindow-x11.c:650
 #2 pre_unmap at gdkwindow-x11.c:1743
 #3 gdk_window_x11_withdraw at gdkwindow-x11.c:1745
 #4 gdk_window_withdraw at gdkwindow.c:5455
 #5 gtk_window_unmap at gtkwindow.c:6195
 #10 gtk_widget_unmap at gtkwidget.c:4954
 #11 _shell_embedded_window_unmap at shell-embedded-window.c:222
 #12 shell_gtk_embed_unmap at shell-gtk-embed.c:310
 #13 clutter_actor_set_mapped at clutter-actor.c:1283
 #14 clutter_actor_update_map_state at clutter-actor.c:1461
Comment 1 Paulim_hed 2015-09-20 20:51:23 EDT
Created attachment 1075362 [details]
File: backtrace
Comment 2 Paulim_hed 2015-09-20 20:51:26 EDT
Created attachment 1075363 [details]
File: cgroup
Comment 3 Paulim_hed 2015-09-20 20:51:28 EDT
Created attachment 1075364 [details]
File: core_backtrace
Comment 4 Paulim_hed 2015-09-20 20:51:32 EDT
Created attachment 1075365 [details]
File: dso_list
Comment 5 Paulim_hed 2015-09-20 20:51:34 EDT
Created attachment 1075366 [details]
File: environ
Comment 6 Paulim_hed 2015-09-20 20:51:35 EDT
Created attachment 1075367 [details]
File: exploitable
Comment 7 Paulim_hed 2015-09-20 20:51:37 EDT
Created attachment 1075368 [details]
File: limits
Comment 8 Paulim_hed 2015-09-20 20:51:40 EDT
Created attachment 1075369 [details]
File: maps
Comment 9 Paulim_hed 2015-09-20 20:51:42 EDT
Created attachment 1075370 [details]
File: mountinfo
Comment 10 Paulim_hed 2015-09-20 20:51:43 EDT
Created attachment 1075371 [details]
File: namespaces
Comment 11 Paulim_hed 2015-09-20 20:51:45 EDT
Created attachment 1075372 [details]
File: open_fds
Comment 12 Paulim_hed 2015-09-20 20:51:46 EDT
Created attachment 1075373 [details]
File: proc_pid_status
Comment 13 Paulim_hed 2015-09-20 20:51:48 EDT
Created attachment 1075374 [details]
File: var_log_messages
Comment 14 Owen Taylor 2015-09-24 14:23:25 EDT
*** Bug 1265669 has been marked as a duplicate of this bug. ***
Comment 15 Owen Taylor 2015-09-24 14:25:51 EDT
This crash is probably coming from some bugs that were introduced into GDK's window handling in 3.17.9x and fixed in 3.18.0. Perhaps:

https://git.gnome.org/browse/gtk+/commit/?id=9bda0532f8770e726b9b90ce6fc687b87ba2037f

If so, this should be fixed in the 3.18.0 mega-update.
Comment 16 Fedora End Of Life 2016-11-24 07:32:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 09:40:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.